## e-spell-text-view e-spell-text-view |

## Functions

gboolean | e_spell_text_view_is_supported ()
void | e_spell_text_view_attach ()
gboolean | e_spell_text_view_get_enabled ()
void | e_spell_text_view_set_enabled ()
void | e_spell_text_view_set_languages ()

## Description

## Functions

### e_spell_text_view_is_supported ()

    gboolean
    e_spell_text_view_is_supported (void);

Returns whether evolution was compiled with GtkSpell3. If it returns `FALSE`, all the other e_spell_text_view_... functions do nothing.

#### Returns

Whether evolution was compiled with GtkSpell3

Since: 3.12

### e_spell_text_view_attach ()

    void
    e_spell_text_view_attach (GtkTextView *text_view);

Attaches a spell checker into the `text_view` , if spell-checking is enabled in Evolution.

#### Parameters

text_view | a GtkTextView |

Since: 3.12

### e_spell_text_view_get_enabled ()

    gboolean
    e_spell_text_view_get_enabled (GtkTextView *text_view);

#### Parameters

text_view | a GtkTextView |

#### Returns

whether the inline spell checking is enabled for the `text_view` . This can be used only after calling `e_spell_text_view_attach()`.

Since: 3.44

### e_spell_text_view_set_enabled ()

    void
    e_spell_text_view_set_enabled (GtkTextView *text_view,
                                   gboolean enabled);

Sets whether the inline spell checking is enabled for the `text_view` . This can be used only after calling `e_spell_text_view_attach()`.

#### Parameters

text_view | a GtkTextView |
enabled | value to set |

Since: 3.44

### e_spell_text_view_set_languages ()

    void
    e_spell_text_view_set_languages (GtkTextView *text_view,
                                     const gchar **languages);

Sets `languages` for inline spell checking for the `text_view` . This can be used only after calling `e_spell_text_view_attach()`.

#### Parameters

text_view | a GtkTextView |
languages | languages to set, or `NULL` to unset any previous. | [nullable]

Since: 3.44